Package tigase.server

## Class Message

- java.lang.Object
- - tigase.server.Packet
  - - tigase.server.Message

-     public class Message
      extends Packet

  Created: Dec 31, 2009 8:38:38 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELEM_NAME` |
    `static java.lang.String[]` | `MESSAGE_BODY_PATH` |
    `static java.lang.String[]` | `MESSAGE_DELAY_PATH` |
    `static java.lang.String[]` | `MESSAGE_ERROR_PATH` |
    `static java.lang.String[]` | `MESSAGE_SUBJECT_PATH` |

    - ### Fields inherited from class tigase.server.Packet

      `CLIENT_XMLNS, elem, ERROR_NS, FROM_ATT, FULL_DEBUG, ID_ATT, PERM_ATT, PRIORITY_ATT, TO_ATT, TYPE_ATT, XMLNS_ATT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Message​(Element elem)` |
    `Message​(Element elem, JID stanzaFrom, JID stanzaTo)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String[]` | `getElNameErrorPath()` | A convenience method to provide XML path as `String[]` to error element.
    `static Packet` | `getMessage​(JID from, JID to, StanzaType type, java.lang.String body, java.lang.String subject, java.lang.String thread, java.lang.String id)` | Creates a packet with message stanza.

    - ### Methods inherited from class tigase.server.Packet

      `copyElementOnly, debug, elemToString, elemToStringSecure, errorResult, getAttributeStaticStr, getAttributeStaticStr, getCommand, getElemCData, getElemCDataStaticStr, getElemChild, getElemChild, getElemChildrenStaticStr, getElement, getElemName, getErrorCondition, getFrom, getPacketFrom, getPacketTo, getPermissions, getPriority, getProcessorsIds, getServerAuthorisedStanzaFrom, getSkippedProcessorsIds, getStableId, getStanzaFrom, getStanzaId, getStanzaTo, getTo, getType, getXMLNS, initVars, initVars, isCommand, isElement, isRouted, isServiceDisco, isXMLNSStaticStr, notProcessedBy, okResult, okResult, packetInstance, packetInstance, packetInstance, packRouted, processedBy, setPacketFrom, setPacketTo, setPermissions, setPriority, setServerAuthorisedStanzaFrom, setStableId, setXMLNS, swapFromTo, swapFromTo, swapStanzaFromTo, swapStanzaFromTo, toString, toString, toStringFull, toStringSecure, unpackRouted, wasProcessed, wasProcessedBy, wasSkipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final java.lang.String ELEM_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_BODY_PATH

          public static final java.lang.String[] MESSAGE_BODY_PATH

    - #### MESSAGE_SUBJECT_PATH

          public static final java.lang.String[] MESSAGE_SUBJECT_PATH

    - #### MESSAGE_ERROR_PATH

          public static final java.lang.String[] MESSAGE_ERROR_PATH

    - #### MESSAGE_DELAY_PATH

          public static final java.lang.String[] MESSAGE_DELAY_PATH

  - ### Constructor Detail

    - #### Message

          public Message​(Element elem)
                  throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### Message

          public Message​(Element elem,
                         JID stanzaFrom,
                         JID stanzaTo)

  - ### Method Detail

    - #### getMessage

          public static Packet getMessage​(JID from,
                                          JID to,
                                          StanzaType type,
                                          java.lang.String body,
                                          java.lang.String subject,
                                          java.lang.String thread,
                                          java.lang.String id)

      Creates a packet with message stanza.
      Parameters:
        `from` - is a `JID` instance with message source address.
        `to` - is a `JID` instance with message destination address.
        `type` - is a `StanzaType` object with the message type.
        `body` - is a `String` object with message body content.
        `subject` - is a `String` object with message subject.
        `thread` - is a `String` object with message thread.
        `id` - is a `String` object with packet id value. Normally we do not set packet IDs for messages but in some cases this might be useful.
      Returns:
        a new `Packet` instance (more specifically `Message` instance) with the message stanza.

    - #### getElNameErrorPath

          protected java.lang.String[] getElNameErrorPath()

      Description copied from class: `Packet`
      A convenience method to provide XML path as `String[]` to error element. This method should be override by all classes extending this class.
      Overrides:
        `getElNameErrorPath` in class `Packet`
      Returns:
        XML path to error element.